spring.cloud.config.uri=localhost
spring.cloud.config.label=master
spring.cloud.config.name=master
spring.application.name=kernel-masterdata-service
spring.profiles.active=test
management.endpoints.web.exposure.include=refresh
#management.security.enabled=false

server.port=8086
server.servlet.path=/masterdata

#disabling health check so that client doesnt try to load properties from sprint config server every
# 5 minutes (should not be done in production)
health.config.enabled=false


# In Memory DB For Test
--------------------------------------
javax.persistence.jdbc.driver=org.h2.Driver
javax.persistence.jdbc.url=jdbc:h2\:mem\:testdb;DB_CLOSE_DELAY=-1;INIT=CREATE SCHEMA IF NOT EXISTS master
javax.persistence.jdbc.user=sa
javax.persistence.jdbc.password=

hibernate.hbm2ddl.auto=create-drop
hibernate.dialect=org.hibernate.dialect.H2Dialect
hibernate.show_sql=false
hibernate.format_sql=false
hibernate.connection.charSet=utf8
hibernate.cache.use_second_level_cache=false
hibernate.cache.use_query_cache=false
hibernate.cache.use_structured_entries=false
hibernate.generate_statistics=false

